%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	Log
Summary:	%{_pearname} - PHP PEAR logging utilities
Summary(pl.UTF-8):	%{_pearname} - klasa z narzędziami logującymi
Name:		php-pear-%{_pearname}
Version:	1.12.7
Release:	2
License:	MIT
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	8594a3d89eac997f072fa088b1eddc42
URL:		http://pear.php.net/package/Log/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.3.0
Requires:	php-pear
Suggests:	php-pear-DB
Suggests:	php-pear-MDB2
Suggests:	php-pear-Mail
Suggests:	php-sqlite
Obsoletes:	php-pear-Log-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(DB.*) pear(MDB2.*) pear(Mail.*)

%description
The Log framework provides an abstracted logging system. It supports
logging to console, file, syslog, SQL, mail and mcal targets. It also
provides a subject - observer mechanism.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa Log daje abstrakcyjny system logowania. Obsługuje logowanie do
pliku, na konsolę, do sysloga, bazy SQL, pocztą oraz celów mcal.
Dostarcza także mechanizm subject - observer.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_pearname}
%{php_pear_dir}/*.php
%{php_pear_dir}/Log/*.php
%{php_pear_dir}/data/%{_pearname}
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 36fdcfb
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Wed Nov 02 2011 Elan Ruusamäe <glen@pld-linux.org> 3a478fc
- updated to: 1.12.7

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 6b66b99
- updated to: 1.12.6

* Sun Jan 23 2011 Elan Ruusamäe <glen@pld-linux.org> 307b9ce
- updated to: 1.12.5

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> aa6a95f
- dropped -tests

* Sat Oct 09 2010 Elan Ruusamäe <glen@pld-linux.org> f8868f1
- updated to: 1.12.3

* Tue Aug 31 2010 Elan Ruusamäe <glen@pld-linux.org> fa62b39
- updated to: 1.12.2

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> aa8e750
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 2d9d937
- updated to: 1.12.1

* Mon Jan 04 2010 Adam Gołębiowski <adamg@pld-linux.org> af3c3b0
- updated to 1.11.6

* Sun May 03 2009 Adam Gołębiowski <adamg@pld-linux.org> dadcd93
- updated to 1.11.4

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 93e45c7
- updated to 1.11.3

* Sun Sep 07 2008 Adam Gołębiowski <adamg@pld-linux.org> e9b0fdc
- updated to 1.11.2

* Wed Aug 06 2008 Adam Gołębiowski <adamg@pld-linux.org> fdfa210
- updated to 1.11.1

* Sun Jun 15 2008 Adam Gołębiowski <adamg@pld-linux.org> 7de5457
- updated to 1.11.0 (License change)

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 4221784
- rel 2

* Sat Dec 22 2007 Adam Gołębiowski <adamg@pld-linux.org> 6d6c85f
- updated to 1.9.13

* Sat Jun 30 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d2068b1
- up to 1.9.11

* Wed Feb 28 2007 Elan Ruusamäe <glen@pld-linux.org> 926a12b
- 1.9.10

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b7377e3
- tabs in preamble

